(function ($, window, Drupal) {

    Drupal.behaviors.scrollTopButton = {
      attach: function (context, settings) {
        
        var button_text = drupalSettings.stb_button_text;
        var button_style = drupalSettings.stb_button_style;
        var button_animation = drupalSettings.stb_button_animation;
        var button_animation_speed = parseInt(drupalSettings.stb_button_animation_speed);
        var scroll_distance = parseInt(drupalSettings.stb_scroll_distance);
        var scroll_speed = parseInt(drupalSettings.stb_scroll_speed);

        
        var element_name = 'scrollTopButton-' + button_style;

        var scrollImg = false;
        if (button_style == 'image') {            
          scrollImg = true;
        }
        
        $.scrollUp({
          scrollName: element_name,                 // Element ID
          scrollDistance: scroll_distance,          // Distance from top/bottom before showing element (px)
          scrollFrom: 'top',                        // 'top' or 'bottom'
          scrollSpeed: scroll_speed,                // Speed back to top (ms)
          easingType: 'linear',                     // Scroll to top easing (see http://easings.net/)
          animation: button_animation,              // Fade, slide, none
          animationSpeed: button_animation_speed,   // Animation speed (ms)
          scrollTrigger: false,                     // Set a custom triggering element. Can be an HTML string or jQuery object
          scrollTarget: false,                      // Set a custom target element for scrolling to. Can be element or number
          scrollText: button_text,                  // Text for element, can contain HTML
          scrollTitle: false,                       // Set a custom <a> title if required.
          scrollImg: scrollImg,                     // Set true to use image
          activeOverlay: false,                     // Set CSS color to display scrollUp active point, e.g '#00FFFF'
          zIndex: 2147483647                        // Z-Index for the overlay
        });

        if (!$('#' + element_name).hasClass('scroll-top-button')) {
          $('#' + element_name).addClass('scroll-top-button');
        }
        
      }
    };
  
  })(jQuery, window, Drupal);